uk.gov.hmrc.domain

# AtedUtr

###
Related Docs: class AtedUtr | package domain

#### object AtedUtr extends Modulus23Check with (String) ⇒ AtedUtr with Serializable

Linear Supertypes
Serializable, Serializable, (String) ⇒ AtedUtr, Modulus23Check, ModulusCheck, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AtedUtr
2. Serializable
3. Serializable
4. Function1
5. Modulus23Check
6. ModulusCheck
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def andThen[A](g: (AtedUtr) ⇒ A): (String) ⇒ A

   Definition Classes
     Function1
   Annotations
     @unspecialized()

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### implicit val atedUtrRead: Reads[AtedUtr]

7. #### implicit val atedUtrWrite: Writes[AtedUtr]

8. #### def calculateCheckCharacter(utr: String): Char

   Attributes
     protected
   Definition Classes
     ModulusCheck

9. #### val checkString: String

   Attributes
     protected
   Definition Classes
     Modulus23Check → ModulusCheck

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### def compose[A](g: (A) ⇒ String): (A) ⇒ AtedUtr

    Definition Classes
      Function1
    Annotations
      @unspecialized()

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

17. #### def isCheckCorrect(utr: String, checkPosition: Int): Boolean

    Attributes
      protected
    Definition Classes
      ModulusCheck

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### def isValid(utr: String): Boolean

20. #### val mod: Int

    Attributes
      protected
    Definition Classes
      Modulus23Check → ModulusCheck

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### def toString(): String

    Definition Classes
      Function1 → AnyRef → Any

26. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### val weights: List[Int]

    Attributes
      protected
    Definition Classes
      Modulus23Check → ModulusCheck

### Inherited from Serializable

### Inherited from (String) ⇒ AtedUtr

### Inherited from Modulus23Check

### Inherited from ModulusCheck

### Inherited from AnyRef

### Inherited from Any

### Ungrouped